#
# spec file for package sblim-cmpi-base (Version 1.5.4)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 cim-schema coreutils cpio cpp cracklib curl cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gcc-c++ gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libidn libnscd libstdc++ libstdc++-devel libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openslp openslp-devel openssl openssl-devel openwbem openwbem-devel pam pam-devel pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sblim-indication_helper sblim-indication_helper-devel sblim-testsuite sblim-wbemcli sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           sblim-cmpi-base
BuildRequires:  gcc-c++ openslp-devel openssl-devel pam-devel sblim-indication_helper-devel sblim-testsuite
Version:        1.5.4
Release:        14.2
Group:          System/Management
License:        IBM Public License
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       cim-server
PreReq:         /usr/bin/loadmof.sh, /usr/bin/rmmof.sh
URL:            http://www-124.ibm.com/sblim/
Source:         http://prdownloads.sourceforge.net/sblim/%{name}-%{version}.tar.bz2
Patch:          cmpi-base-proc-ia64.patch
Patch1:         sblim-cmpi-base-processutil.patch
Summary:        SBLIM Base Instrumentation

%description
Standards Based Linux Instrumentation Base Providers



Authors:
--------
    SBLIM Project

%debug_package
%package devel
Summary:        SBLIM Base Instrumentation Header Development Files
Group:          System/Management
Requires:       %{name} = %{version}

%description devel
SBLIM Base Provider Development Package



Authors:
--------
    SBLIM Project

%package testsuite
Summary:        SBLIM Base Instrumentation (test suite)
Group:          System/Management
Requires:       %{name} = %{version}
Requires:       sblim-testsuite

%description testsuite
Test suite for the Standards Based Linux Instrumentation Base Providers



Authors:
--------
    SBLIM Project

%prep
%setup -q
%patch
%patch1

%build
autoreconf -fi
%configure
%{__make}

%install

%makeinstall docdir=%{_docdir}/%{name}

%clean
%{__rm} -rf %{buildroot}

%post
# compile MOF
/usr/bin/loadmof.sh -n root/cimv2 %{_datadir}/%{name}/Linux_Base.mof
/usr/bin/loadmof.sh -n root/cimv2 %{_datadir}/%{name}/Linux_BaseIndication.mof

%preun
if [ "$1" = "0" ]; then
    /usr/bin/rmmof.sh -n root/cimv2 %{_datadir}/%{name}/Linux_BaseIndication.mof
    /usr/bin/rmmof.sh -n root/cimv2 %{_datadir}/%{name}/Linux_Base.mof
fi

%files
%defattr(-,root,root) 
%doc %{_docdir}/%{name}
%dir %{_libdir}/cmpi/
%{_libdir}/cmpi/libcmpiOSBase*
%{_libdir}/libcmpiOSBase_Common.so.*
%{_libdir}/libdmiinfo.so.*
%{_libdir}/libcmpiOSBase_Common.a
%{_libdir}/libcmpiOSBase_Common.la
%{_libdir}/libcmpiOSBase_Common.so
%{_libdir}/libdmiinfo.a
%{_libdir}/libdmiinfo.la
%{_libdir}/libdmiinfo.so
%dir %{_datadir}/%{name}/
%{_datadir}/%{name}/provider-register.sh
%{_datadir}/%{name}/Linux_Base*

%files devel
%defattr(-,root,root)
%dir %{_includedir}/sblim
%{_includedir}/sblim/*

%files testsuite
%defattr(-,root,root)
%{_datadir}/sblim-testsuite/test-cmpi-base.sh
%{_datadir}/sblim-testsuite/cim/Linux*.cim
%{_datadir}/sblim-testsuite/system/linux/*.pl
%{_datadir}/sblim-testsuite/system/linux/*.system
%{_datadir}/sblim-testsuite/system/linux/Linux_OperatingSystem.version.sh
%{_datadir}/sblim-testsuite/system/linux/createKeyFiles.sh

%changelog -n sblim-cmpi-base
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Jan 19 2006 - mrueckert@suse.de
- replaced my header patch with a patch from upstream
* Sun Jan 15 2006 - mrueckert@suse.de
- fixed Makefile to install all headers. some headers where missing
  but required for other modules.
* Mon Nov 14 2005 - mrueckert@suse.de
- Fix CPU detecion on ia64.[#95989]
* Wed Oct 26 2005 - mrueckert@suse.de
- Use openwbem instead of pegasuswbem.
- Update to version 1.5.4.
* Mon Sep 26 2005 - mls@suse.de
- make devel package require base package
* Mon Nov 15 2004 - ro@suse.de
- fixed file list
* Wed May 19 2004 - nashif@suse.de
- Fix issue with empty dnsdomainname resulting in grep errors
* Mon May 17 2004 - ro@suse.de
- fix spec file
* Wed May 12 2004 - nashif@suse.de
- Do not deregister providers when updating package
* Mon May 10 2004 - nashif@suse.de
- #40275: consistence test for class Linux_Processor fails
  on Linux on S390
- Dereigster providers when uninstalling (#39667)
* Fri Apr 30 2004 - nashif@suse.de
- Install testsuite files
* Fri Apr 16 2004 - nashif@suse.de
- Update version with bugfixes from IBM
* Wed Apr 14 2004 - nashif@suse.de
- Added PreReq for loadmof.sh (#38891)
* Wed Apr 07 2004 - nashif@suse.de
- Update to latest version from the sblim project
- register providers in %%post
- Requires cim-server
* Mon Mar 29 2004 - ro@suse.de
- add x86_64/ia64 to platform.sh that code is just looking
  at proc/cpuinfo anyway
* Tue Mar 23 2004 - meissner@suse.de
- really apply fpic patch.
* Tue Mar 23 2004 - meissner@suse.de
- fixed lib64 handling, added -fPIC and RPM_OPT_FLAGS.
* Tue Mar 23 2004 - nashif@suse.de
- Initial Release
